function usePackage(pack)
    
    if pack == "AMP"
        addpath("./algorithms/AMP/");
    elseif pack == "OMP"
        addpath("./algorithms/OMP/");
    elseif pack == "GPR"
        addpath("./algorithms/GPR/"); 
    else
        error("Package %s not implemented.", pack);
    end


end
